Skip to content
Start here

List deployment groups

client.zeroTrust.devices.deploymentGroups.list(DeploymentGroupListParams { account_id, page, per_page } params, RequestOptionsoptions?): V4PagePaginationArray<DeploymentGroup { id, created_at, name, 3 more } >
GET/accounts/{account_id}/devices/deployment-groups

Lists all deployment groups for an account. Use deployment groups to assign target WARP client versions to specific devices. This endpoint is in Beta.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
ParametersExpand Collapse
params: DeploymentGroupListParams { account_id, page, per_page }
account_id: string

Path param

page?: number

Query param: The page number to return.

minimum1
per_page?: number

Query param: The maximum number of deployment groups to return per page.

maximum100
minimum1
ReturnsExpand Collapse
DeploymentGroup { id, created_at, name, 3 more }
id: string

The ID of the deployment group.

created_at: string

The RFC3339Nano timestamp when the deployment group was created.

name: string

A user-friendly name for the deployment group.

maxLength255
minLength1
updated_at: string

The RFC3339Nano timestamp when the deployment group was last updated.

version_config: Array<VersionConfig>

Contains version configurations for different target environments.

target_environment: string | null

The target environment for the client version (e.g., windows, macos).

version: string

The specific client version to deploy.

policy_ids?: Array<string> | null

Contains a list of policy IDs assigned to this deployment group.

List deployment groups

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const deploymentGroup of client.zeroTrust.devices.deploymentGroups.list({
  account_id: 'account_id',
})) {
  console.log(deploymentGroup.id);
}
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "created_at": "2026-02-14T13:17:00.123456789Z",
      "name": "Engineering Ring 0",
      "updated_at": "2026-02-14T13:17:00.123456789Z",
      "version_config": [
        {
          "target_environment": "windows",
          "version": "2026.5.234.0"
        }
      ],
      "policy_ids": [
        "policy-uuid-1",
        "policy-uuid-2"
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 10,
    "total_count": 10,
    "total_pages": 1
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "created_at": "2026-02-14T13:17:00.123456789Z",
      "name": "Engineering Ring 0",
      "updated_at": "2026-02-14T13:17:00.123456789Z",
      "version_config": [
        {
          "target_environment": "windows",
          "version": "2026.5.234.0"
        }
      ],
      "policy_ids": [
        "policy-uuid-1",
        "policy-uuid-2"
      ]
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 10,
    "total_count": 10,
    "total_pages": 1
  },
  "success": true
}